/*** DownloadDummy Z-Way HA module *******************************************

Version: 1.0.0
(c) Z-Wave.Me, 2014
-----------------------------------------------------------------------------
Author: Niels Roche <nir@zwave.eu>
Description:
    Creates a Dummy device without functionality (to test the appstore download functionality)
******************************************************************************/

// ----------------------------------------------------------------------------
// --- Class definition, inheritance and setup
// ----------------------------------------------------------------------------

function DownloadDummy (id, controller) {
    // Call superconstructor first (AutomationModule)
    DownloadDummy.super_.call(this, id, controller);
}

inherits(DownloadDummy, AutomationModule);

_module = DownloadDummy;

// ----------------------------------------------------------------------------
// --- Module instance initialized
// ----------------------------------------------------------------------------

DownloadDummy.prototype.init = function (config) {
    DownloadDummy.super_.prototype.init.call(this, config);

    var self = this;

    self.vDev = self.controller.devices.create({
        deviceId: "DownloadDummy_" + this.id,
        defaults: {
            metrics: {
                title: this.config.label + this.id,
                icon: 'new',
            }
        },
        overlay: {},
        moduleId: this.id
    });
};

DownloadDummy.prototype.stop = function () {
    var self = this;
    
    if (self.vDev) {
        self.controller.devices.remove(self.vDev.id);
        self.vDev = null;
    }

    DownloadDummy.super_.prototype.stop.call(this);
};

// ----------------------------------------------------------------------------
// --- Module methods
// ----------------------------------------------------------------------------
